<template>
    <h2>{{parentData.title}}</h2>
    <ul class="marvel-project-appearance">
        <li class="marvel-project-appearance__items"
          v-for="comic of parentData.data"
          v-bind:key="comic">
            <span>
                {{comic.name}}
            </span>
        </li>
    </ul>
</template>

<script>
export default {
  name: 'AppearanceMarvel',
  props: {
    parentData: Object,
  },
  data() {
    return {}
  },
}
</script>

<style scoped lang="scss">
.marvel-project-appearance {
  list-style: none;

  &__items {
    text-align: left;
    display: flex;
    align-items: center;
  
    &:before {
      content:url('~@/assets/img/avenger.png');
      width: 15px;
      height: 15px;
      display: flex;
      margin-right: 10px;
    }
  }
}
</style>
